petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscDualSpaceRefinedSetCellSpaces

Set the dual spaces for the closures of each of the cells in the multicell DM of a PetscDualSpace

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceRefinedSetCellSpaces(PetscDualSpace sp, const PetscDualSpace cellSpaces[])

Collective on PetscDualSpace

### Input Arguments

| sp | - a PetscDualSpace
| cellSpaces | - one PetscDualSpace for each of the cells. The reference count of each cell space will be incremented, so the user is still responsible for these spaces afterwards

### See Also

PetscFERefine()

### Level

intermediate

### Location

src/dm/dt/dualspace/impls/refined/dualspacerefined.c

### Implementations

PetscDualSpaceRefinedSetCellSpaces_Refined in src/dm/dt/dualspace/impls/refined/dualspacerefined.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages